scala.swing

# Dialog

#### class Dialog extends Window with RichWindow

A dialog window.

Source
  RichWindow.scala
See also

  javax.swing.JDialog

Linear Supertypes
RichWindow, Window, RootPanel, Container, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Dialog
2. RichWindow
3. Window
4. RootPanel
5. Container
6. UIElement
7. LazyPublisher
8. Publisher
9. Reactor
10. Proxy
11. AnyRef
12. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Dialog()

2. #### new Dialog(owner: Window, gc: GraphicsConfiguration = null)

### Type Members

1. #### trait InterfaceMixin extends RichWindow.InterfaceMixin

   Definition Classes
     RichWindow → Window

2. #### trait SuperMixin extends java.awt.Window

   Attributes
     protected
   Definition Classes
     Window

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Dialog to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (Dialog, B)

   Implicit information
     This member is added by an implicit conversion from Dialog to ArrowAssoc[Dialog] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

9. #### def background: Color

   Definition Classes
     UIElement

10. #### def background_=(c: Color): Unit

    Definition Classes
      UIElement

11. #### def bounds: java.awt.Rectangle

    Definition Classes
      UIElement

12. #### def bounds_=(rect: Rectangle): Unit

    Definition Classes
      Window

13. #### def centerOnScreen(): Unit

    Definition Classes
      Window

14. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

15. #### def close(): Unit

    Definition Classes
      Window

16. #### def closeOperation(): Unit

    This method is called when the window is closing, after all other window event listeners have been processed.

    This method is called when the window is closing, after all other window event listeners have been processed.

    Definition Classes
      Window

17. #### def contents: Seq[Component]

    At most one component.

    At most one component.

    Definition Classes
      RootPanel → Container

18. #### def contents_=(c: Component): Unit

    Definition Classes
      Window → RootPanel

19. #### def cursor: Cursor

    Definition Classes
      UIElement

20. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

21. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

22. #### def defaultButton: Option[Button]

    Definition Classes
      Window

23. #### def defaultButton_=(b: Option[Button]): Unit

    Definition Classes
      Window

24. #### def defaultButton_=(b: Button): Unit

    Definition Classes
      Window

25. #### def displayable: Boolean

    Definition Classes
      UIElement

26. #### def dispose(): Unit

    Definition Classes
      Window

27. #### def ensuring(cond: (Dialog) ⇒ Boolean, msg: ⇒ Any): Dialog

    Implicit information
      This member is added by an implicit conversion from Dialog to Ensuring[Dialog] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

28. #### def ensuring(cond: (Dialog) ⇒ Boolean): Dialog

    Implicit information
      This member is added by an implicit conversion from Dialog to Ensuring[Dialog] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

29. #### def ensuring(cond: Boolean, msg: ⇒ Any): Dialog

    Implicit information
      This member is added by an implicit conversion from Dialog to Ensuring[Dialog] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

30. #### def ensuring(cond: Boolean): Dialog

    Implicit information
      This member is added by an implicit conversion from Dialog to Ensuring[Dialog] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

31. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

32. #### def equals(that: Any): Boolean

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Any implementation of this method should be an equivalence relation:

    - It is reflexive: for any instance `x` of type `Any`, `x.equals(x)` should return `true`.
    - It is symmetric: for any instances `x` and `y` of type `Any`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
    - It is transitive: for any instances `x`, `y`, and `z` of type `AnyRef` if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.

    If you override this method, you should verify that your implementation remains an equivalence relation. Additionally, when overriding this method it is usually necessary to override `hashCode` to ensure that objects which are "equal" (`o1.equals(o2)` returns `true`) hash to the same scala.Int. (`o1.hashCode.equals(o2.hashCode)`).

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → Any

33. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

34. #### def font: Font

    Definition Classes
      UIElement

35. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

36. #### def foreground: Color

    Definition Classes
      UIElement

37. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

38. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Dialog to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

39. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

40. #### def hashCode(): Int

    Calculate a hash code value for the object.

    Calculate a hash code value for the object.

    The default hashing algorithm is platform dependent.

    Note that it is allowed for two objects to have identical hash codes (`o1.hashCode.equals(o2.hashCode)`) yet not be equal (`o1.equals(o2)` returns `false`). A degenerate implementation could always return `0`. However, it is required that if two objects are equal (`o1.equals(o2)` returns `true`) that they have identical hash codes (`o1.hashCode.equals(o2.hashCode)`). Therefore, when overriding this method, be sure to verify that the behavior is consistent with the `equals` method.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → Any

41. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

42. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

43. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

44. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

45. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

46. #### def locale: Locale

    Definition Classes
      UIElement

47. #### def location: java.awt.Point

    Definition Classes
      UIElement

48. #### def locationOnScreen: java.awt.Point

    Definition Classes
      UIElement

49. #### def location_=(p: Point): Unit

    Definition Classes
      Window

50. #### def maximumSize: java.awt.Dimension

    Definition Classes
      UIElement

51. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

52. #### def menuBar: MenuBar

    The menu bar of this frame or `NoMenuBar` if no menu bar is set.

    The menu bar of this frame or `NoMenuBar` if no menu bar is set.

    Definition Classes
      RichWindow

53. #### def menuBar_=(m: MenuBar): Unit

    Set the current menu bar of this frame.

    Set the current menu bar of this frame. Pass `NoMenuBar` if this frame should not show a menu bar.

    Definition Classes
      RichWindow

54. #### def minimumSize: java.awt.Dimension

    Definition Classes
      UIElement

55. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

56. #### def modal: Boolean

57. #### def modal_=(b: Boolean): Unit

58. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

59. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

60. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

61. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

62. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

63. #### def open(): Unit

    Definition Classes
      Window

64. #### def pack(): Dialog.this.type

    Definition Classes
      Window

65. #### lazy val peer: JDialog with InterfaceMixin

    Definition Classes
      Dialog → RichWindow → Window → RootPanel → UIElement

66. #### def preferredSize: java.awt.Dimension

    Definition Classes
      UIElement

67. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

68. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

69. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

70. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

71. #### def repaint(): Unit

    Definition Classes
      UIElement

72. #### def resizable: Boolean

    Definition Classes
      RichWindow

73. #### def resizable_=(b: Boolean): Unit

    Definition Classes
      RichWindow

74. #### def self: java.awt.Component

    Definition Classes
      UIElement → Proxy

75. #### def setLocationRelativeTo(c: UIElement): Unit

    Definition Classes
      Window

76. #### def showing: Boolean

    Definition Classes
      UIElement

77. #### def size: java.awt.Dimension

    Definition Classes
      UIElement

78. #### def size_=(size: Dimension): Unit

    Definition Classes
      Window

79. #### def subscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

80. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

81. #### def title: String

    Definition Classes
      RichWindow

82. #### def title_=(s: String): Unit

    Definition Classes
      RichWindow

83. #### def toString(): String

    Returns a string representation of the object.

    Returns a string representation of the object.

    The default representation is platform dependent.

    returns

      a string representation of the object.

    Definition Classes
      Proxy → Any

84. #### def toolkit: Toolkit

    Definition Classes
      UIElement

85. #### def unsubscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

86. #### def visible: Boolean

    Definition Classes
      UIElement

87. #### def visible_=(b: Boolean): Unit

    Definition Classes
      UIElement

88. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

89. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

90. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

91. #### def →[B](y: B): (Dialog, B)

    Implicit information
      This member is added by an implicit conversion from Dialog to ArrowAssoc[Dialog] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Dialog to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (dialog: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Dialog to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (dialog: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: Dialog

   Implicit information
     This member is added by an implicit conversion from Dialog to ArrowAssoc[Dialog] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (dialog: ArrowAssoc[Dialog]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: Dialog

   Implicit information
     This member is added by an implicit conversion from Dialog to Ensuring[Dialog] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (dialog: Ensuring[Dialog]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from RichWindow

### Inherited from Window

### Inherited from RootPanel

### Inherited from Container

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Dialog to StringAdd

### Inherited by implicit conversion any2stringfmt from Dialog to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Dialog to ArrowAssoc[Dialog]

### Inherited by implicit conversion any2Ensuring from Dialog to Ensuring[Dialog]

### Ungrouped